<?php
/**
 * My Account page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/my-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * My Account navigation.
 *
 * @since 2.6.0
 */
do_action( 'woocommerce_account_navigation' ); ?>

<?php
if (is_user_logged_in()) {
    if (class_exists('BuddyPress') && class_exists('Youzify')) {
        $author_ID =  get_current_user_id();
        $user = get_user_by('ID', $author_ID);

        if(class_exists('WeDevs_Dokan')) {
            $vendor = dokan()->vendor->get($author_ID);
            $login_page_url = get_site_url() . '/members/' . $vendor->data->user_nicename;
        } else {
            $login_page_url = get_site_url() . '/members/' . $user->user_nicename;
        }

        echo("<script>location.href = '".$login_page_url."'</script>"); ?>
<?php }
} ?>
